
QGIS Application - Bug report #4073

Map overview is not updated when changing layer symbology

2011-07-12 03:09 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14056

Description

- Add a layer to the map overview.

- Change the layer's symbology.  The overview will not be updated.

- Toggle the layer off or on.  The overview will be updated for the symbology change.

I am using trunk on WinXP if that matters.

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-23 09:57 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

- Pull Request or Patch supplied set to No

#5 - 2015-12-03 07:22 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

I can't reproduce it on QGIS 2.13: when you update the style of a layer which is displayed in the overview, the overview is correctly updated and the new

style displayed.

I am closing this bug.
